function A = tsbackward(T,n)

% A = TSBACKWARD(T,N)
% 
% Returns the backward jump of timescale T in timescale object A. Optional integer input
% N causes TSFORWARD to return the nth backward jump.
%

% Ian Gravagne, 12/30/03 Baylor University

if(~isa(T,'timescale'))
    error('First argument must be a timescale object');
end

if(nargin < 2)
    n = 1;
end

for(i = 1:n)
    T = tsnu(T) + T;
end
A = T;